## dahdi-linux 2.10.2~dfsg

=== drivers/dahdi/xpp/firmwares/Makefile ===
# Install firmwares and initialization scripts for the Astribank
# drivers

USB_FW		= USB_FW.hex USB_FW.201.hex USB_RECOV.hex
FPGA_FW		= FPGA_FXS.hex FPGA_1141.hex FPGA_1151.hex FPGA_1161.hex  \
		  FPGA_1161.201.hex FPGA_1161.202.hex
PIC_FW		= PIC_TYPE_1.hex PIC_TYPE_2.hex PIC_TYPE_3.hex PIC_TYPE_4.hex  
OCT_FW		= $(wildcard OCT6104E-256D.ima)
FIRMWARES	= $(USB_FW) $(FPGA_FW) $(PIC_FW) $(OCT_FW)
PROTO_VER	= 30
SCRIPTS_BASE	= $(patsubst %,init_card_%_$(PROTO_VER),1 2 3 4 5)
SCRIPTS		= $(SCRIPTS_BASE:%=../%)
TARGET		= $(DESTDIR)/usr/share/dahdi

all:

clean:

install:
	mkdir -p $(TARGET)
	install $(SCRIPTS) $(TARGET)/
	install -m 644 ../XppConfig.pm $(FIRMWARES) $(TARGET)/
	for id in 202 203; do \
		if [ ! -r $(TARGET)/USB_FW.$$id.hex ]; then \
			ln -s USB_FW.201.hex $(TARGET)/USB_FW.$$id.hex;\
		fi; \
	done
	if [ ! -r $(TARGET)/FPGA_1161.203.hex ]; then \
		ln -s FPGA_1161.201.hex $(TARGET)/FPGA_1161.203.hex;\
	fi

=== debian/changelog ===
dahdi-linux (1:2.10.2~dfsg-1ubuntu4) xenial; urgency=medium

  * Linux 4.4.218 FTBS fix (LP: #1878214)
    - d/p/kernel-compat-4.4.218.patch

 -- Stefan Bader <stefan.bader@canonical.com>  Tue, 12 May 2020 15:55:16 +0200

dahdi-linux (1:2.10.2~dfsg-1ubuntu3) xenial; urgency=medium

  * Linux 4.15 compatibility (LP: #1779331)
    - d/p/kernel-compat-4.15_0001-xpp-move-command_timer-functions-to-xbus-core.patch
    - d/p/kernel-compat-4.15_0002-fix-building-with-4.15-init_timer-setup_timer.patch

 -- Marcelo Henrique Cerri <marcelo.cerri@canonical.com>  Fri, 29 Jun 2018 10:58:53 -0300

dahdi-linux (1:2.10.2~dfsg-1ubuntu2) xenial; urgency=medium

  * Linux 4.11 and 4.13 compatibility (LP: #1724866)
    - debian/patches/kernel-compat-4.11.patch
    - debian/patches/kernel-compat-4.13.patch

 -- Marcelo Henrique Cerri <marcelo.cerri@canonical.com>  Fri, 27 Oct 2017 09:44:47 -0200

dahdi-linux (1:2.10.2~dfsg-1ubuntu1) xenial; urgency=low

  * Merge from Debian testing. Remaining changes:
    - DKMS support:
      * debian/control:
        - dahdi-linux depends additionally on (dahdi-dkms | dahdi-source).
        - dahdi-dkms added
      * debian/dahdi-dkms.install.in
      * debian/dahdi-dkms.postinst
      * debian/dahdi-dkms.prerm
      * debian/dahdi-linux.install:
        - added debian/modules
        - added debian/system.conf
      * debian/dkms.conf.in
        - Dropping ap400, opvxd115, wcopenpci, and zaphfc from build as
          those got dropped from the Debian extra patch.
      * debian/modules
      * debian/rules:
        - Add code to generate dkms package
      * debian/system.conf
    - debian/dahdi-source.install (for lintian)
    - debian/lintian/dahdi-source
    - DEP-8 support (debian/tests/*)
    - d/p/oslec-echo-in-kernel.diff
      * Diable build of echo.ko in favour of the same module provided by
        the kernel.
  * Dropped patches:
    - d/p/kernel-compat-3.18.patch
    - d/p/kernel-compat-3.19.patch
    - d/p/kernel-4.2-dev-printk-void.patch
    - d/p/irqf-disabled-deprecated.patch
    - d/p/strncasecmp.patch

 -- Stefan Bader <stefan.bader@canonical.com>  Thu, 17 Dec 2015 10:44:32 +0100

dahdi-linux (1:2.10.2~dfsg-1) unstable; urgency=medium

  * New upstream release (Closes: #776497)
    - dahdi_linux_extra patch: remove everything except OSLEC and opvxa1200
      (Closes: #794313).
    - Up-to-date opvxa1200 in extra patch (Closes: #780997)

 -- Tzafrir Cohen <tzafrir@debian.org>  Wed, 12 Aug 2015 21:02:59 +0200

dahdi-linux (1:2.10.0.1~dfsg-1ubuntu4) wily; urgency=low

  * Improve dep-8 testing by supplying individual test case (which will
    also test-load the dummy module) (LP: #1497982)

 -- Stefan Bader <stefan.bader@canonical.com>  Mon, 21 Sep 2015 08:57:25 -0500

dahdi-linux (1:2.10.0.1~dfsg-1ubuntu3) wily; urgency=medium

  * kernel-4.2-dev-printk-void.patch
    dev_printk() has void return.
  * irqf-disabled-deprecated.patch
    IRQF_DISABLED has been removed as it has had no meaning since 2.6.13
  * strncasecmp.patch 
    Strict POSIX/ANSI compliance warrants the use of strncasecmp().

 -- Tim Gardner <tim.gardner@canonical.com>  Wed, 26 Aug 2015 09:25:43 -0600

dahdi-linux (1:2.10.0.1~dfsg-1ubuntu2) vivid; urgency=low

  * Fix DKMS build for kernel version 3.19.
    - Convert f_dentry usage to f_path.dentry.

 -- Stefan Bader <stefan.bader@canonical.com>  Mon, 19 Jan 2015 16:28:01 +0100

dahdi-linux (1:2.10.0.1~dfsg-1ubuntu1) vivid; urgency=low

  * Merge from Debian testing. Remaining changes:
    - DKMS support:
      - debian/control:
        - dahdi-linux depends additionally on (dahdi-dkms | dahdi-source).
        - dahdi-dkms added
      - debian/dahdi-dkms.install.in
      - debian/dahdi-dkms.postinst
      - debian/dahdi-dkms.prerm
      - debian/dahdi-linux.install:
        - added debian/modules
        - added debian/system.conf
      - debian/dkms.conf.in
      - debian/modules
      - debian/rules:
        - Add code to generate dkms package
      - debian/system.conf
    - debian/dahdi-source.install (for lintian)
    - debian/lintian/dahdi-source
  * Dropped changes (may raise minimum kernel required to v3.10):
    - debian/control: Really drop change to m-a a-i command as claimed in
      the changelog for 1:2.5.0.1+dfsg-1ubuntu1. Which variant is actually
      correct is unclear (dahdi or dahdi-source) but at least the one from
      Debian is agreeing with the form in the lintian file.
    - debian/patches/zaphfc_d_channel_fix.patch (fix in Debian)
    - debian/patches/missing_modules.h.diff (fix in Debian)
    - debian/patches/ndo_set_multicast_list.diff (fix in Debian)
    - debian/patches/kernel-v3-11-compat.patch (fixed upstream without compat)
    - debian/patches/kernel-v3-13-compat.patch (fixed upstream)
    - debian/patches/kernel-v3-15-compat.patch (fixed upstream without compat)
  * Avoid building the echo.ko module for the DKMS package. This module is
    part of the kernel since 2.6.28 (moved out of staging in 3.15) with the
    same version (0.3.0). Since then the dkms build would always avoid to
    copy the external version. So beside of causing warnings for the DKMS
    build the out-of-tree module was not being used for a very long time.
    The only reason this all kept working is that the API did not change.
  * debian/dkms.conf.in: Expose the target kernel version in a variable that
    is actually heeded by the make file. And also pass it in on every
    invokation of make.
  * debian/patches/kernel-compat-3.18.patch: Provide compat code for the
    deprecated smp_mb__after_clear_bit call.

 -- Stefan Bader <stefan.bader@canonical.com>  Thu, 04 Dec 2014 17:07:38 +0100

dahdi-linux (1:2.5.0.1+dfsg-1ubuntu4) vivid; urgency=low

  * Fix compile issues with 3.16 kernel

 -- Stefan Bader <stefan.bader@canonical.com>  Wed, 12 Nov 2014 14:20:02 +0100

=== debian/control ===
Source: dahdi-linux
Section: comm
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
Uploaders: Tzafrir Cohen <tzafrir@debian.org>, Mark Purcell <msp@debian.org>, Faidon Liambotis <paravoid@debian.org>
Build-Depends: debhelper (>=  9), bzip2, asciidoc
Standards-Version: 3.9.6
Homepage: http://www.asterisk.org/
Vcs-Git: git://anonscm.debian.org/pkg-voip/dahdi-linux.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-voip/dahdi-linux.git

Package: dahdi-linux
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, procps, fxload, dahdi-dkms | dahdi-source
Description: DAHDI telephony interface - Linux userspace parts
 DAHDI (formly Zaptel) is an interface for telephony devices used by e.g. 
 the Asterisk PBX software. The dahdi-* packages provide the kernel 
 DAHDI kernel modules and their required setup environment.
 .
 This package includes the minimal Linux-specific userspace parts: udev 
 configuration, xpp initialization scripts.

Package: dahdi-source
Multi-Arch: foreign
Section: kernel
Architecture: all
Depends: ${misc:Depends}, debhelper (>> 4.0), module-assistant (>= 0.8.1), bzip2
Recommends: dahdi-linux
Description: DAHDI telephony interface - source code for kernel driver
 DAHDI (formly Zaptel) is an interface for telephony devices used by e.g. 
 the Asterisk PBX software. The dahdi-* packages provide the kernel 
 DAHDI kernel modules and their required setup environment, as well as
 basic headers for building DAHDI modules and utilities.
 .
 It is normally used to build kernel modules package: m-a a-i dahdi

Package: dahdi-dkms
Section: devel
Architecture: all
Depends: dkms, make, libc6-dev, gcc, wget, gawk
Recommends: dahdi-linux
Description: DAHDI telephony interface (dkms kernel driver)
 DAHDI (formly Zaptel) is an interface for telephony devices used by e.g.
 the Asterisk PBX software. The dahdi-* packages provide the kernel
 DAHDI kernel modules and their required setup environment.
 .
 The dkms package will automatically compile the driver for your current
 kernel version.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export HOTPLUG_FIRMWARE=1

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif

## MODULE-ASSISTANT STUFF
# prefix of the target package name
PREFIX:=dahdi
SKPG:=$(PREFIX)-source
PACKAGE:=$(PREFIX)-modules
PACKAGE_SRC:=$(PREFIX)-linux
# modifieable for experiments or debugging m-a
MA_DIR ?= /usr/share/modass
# load generic variable handling
-include $(MA_DIR)/include/generic.make
# load default rules
-include $(MA_DIR)/include/common-rules.make

DEBVERSION:=$(shell head -n 1 debian/changelog \
		    | sed -e 's/^[^(]*(\([^)]*\)).*/\1/')
DEB_BASE_VERSION:=$(shell echo $(DEBVERSION) | sed -e 's/^.*://' -e 's/-[0-9~.a-z]*$$//')
UPVERSION:=$(shell echo $(DEB_BASE_VERSION) | sed -e 's/[~+]dfsg[0-9]*\(~\|$$\)/\1/' -e 's/~\(rc\|beta\)/-\1/')

# For DKMS. Use the full release (e.g.: 2.2.1+dfsg-1ubuntu1)
CVERSION := $(shell dpkg-parsechangelog | grep '^Version:' | cut -d' ' -f2 | cut -d\: -f2)

UPFILENAME := $(PACKAGE_SRC)_$(UPVERSION).orig.tar.gz
FILENAME := $(PACKAGE_SRC)_$(DEB_BASE_VERSION).orig.tar.gz
URL := http://downloads.asterisk.org/pub/telephony/$(PACKAGE_SRC)/releases/$(PACKAGE_SRC)-$(UPVERSION).tar.gz

# If the makefile was properly-writen, there was a good separation 
# between kernel and userspace. As things stand now I'd like to work
# around problems with bilding stuff with HOSTCC by simply providing 
# the generated headers as part of the source:
GENERATED_SOURCES := include/dahdi/version.h

%:
	dh $@

kdist_clean: clean

kdist_config: prep-deb-files

binary-modules: prep-deb-files
	dh_testdir
	dh_testroot
	dh_prep
	#cp -a $(CURDIR)/debian/generated/* .
	make modules KERNEL_SOURCES=$(KSRC) MODVERSIONS=detect KERNEL=linux-$(KVERS) 
	make install-modules KERNELRELEASE=$(KVERS) DESTDIR=$(CURDIR)/debian/$(PKGNAME)
	# The modules are way too big. This is only in kernel 2.6
	# (Removed for now: breaks cross-building)
	#find debian/$(PKGNAME)/lib/modules -name '*.ko' |xargs strip -g
	$(RM) -f debian/$(PKGNAME)/lib/modules/$(KVERS)/modules.*
	dh_installmodules
	dh_installdebconf
	dh_installdocs
	dh_installchangelogs
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol -- -v$(VERSION)
	dh_md5sums
	dh_builddeb --destdir=$(DEB_DESTDIR)

## END OF M-A SECTION

# FIXME: this should be done by Files-Exclude in debian/copyright:
override_dh_auto_build:
ifneq ($(wildcard drivers/dahdi/xpp/firmwares/USB_FW.hex),)
	@echo "Tarball is not DFSG-compliant. Use './debian/rules get-orig-source'"
	exit 1
endif
	# For DKMS
	sed -e "s|#CVERSION#|$(CVERSION)|"	\
		debian/dkms.conf.in > debian/dkms.conf
	sed -e "s|#CVERSION#|$(CVERSION)|"	\
		debian/dahdi-dkms.install.in > debian/dahdi-dkms.install

	$(MAKE) docs
	$(MAKE) $(GENERATED_SOURCES)

override_dh_auto_clean:
	# Delete the generated dkms files
	rm -f debian/dahdi-dkms.install
	rm -f debian/dkms.conf
	rm -f $(GENERATED_SOURCES)
	rm -f dahdi/include/version.h
	[ ! -f Makefile ] || $(MAKE) dist-clean || true

TARPARDIR=$(CURDIR)/debian/tmp
TARDIR=$(TARPARDIR)/modules/$(PREFIX)

override_dh_auto_install:
	$(MAKE) install-include DESTDIR=$(CURDIR)/debian/$(SKPG)

override_dh_install:
	dh_install
	# driver source code
	mkdir -p $(TARDIR)/debian/generated
	cp Makefile $(TARDIR)/
	cp -p .version $(TARDIR)/
	for dir in build_tools firmware include drivers; do \
	  if [ -d $$dir ]; then cp -r $$dir $(TARDIR); fi; \
	done
	
	# Packaging infrastructure
	cp -r debian/rules debian/changelog debian/copyright\
	  debian/control debian/compat \
	  debian/control.modules.in \
	  $(TARDIR)/debian/
	
	tar cjf debian/$(SKPG)/usr/src/$(PREFIX).tar.bz2 \
	  -C $(TARPARDIR) modules

print-version:
	@@echo "Debian version:          $(DEBVERSION)"
	@@echo "Upstream version:        $(UPVERSION)"

TARBALL_DIR=../tarballs/$(PACKAGE_SRC)-$(UPVERSION).tmp
get-orig-source:
	@@dh_testdir
	@@[ -d ../tarballs/. ]||mkdir -p ../tarballs
	@@echo Downloading $(UPFILENAME) from $(URL) ...
	@@wget  -nv -T10 -t3 --verbose -O ../tarballs/$(UPFILENAME) $(URL)
	@@echo Repacking as DFSG-free...
	@@mkdir -p $(TARBALL_DIR)/
	@@cd $(TARBALL_DIR) ; \
	tar xfz ../$(UPFILENAME)
	@@rm -rf $(TARBALL_DIR)/$(PACKAGE_SRC)-$(UPVERSION)/drivers/dahdi/xpp/firmwares/*.hex
	@@rm -f $(TARBALL_DIR)/$(PACKAGE_SRC)-$(UPVERSION)/drivers/dahdi/*.rbt
	@@cd $(TARBALL_DIR) ; \
	tar cfz ../$(FILENAME) *
	@@echo Cleaning up...
	@@$(RM) -rf $(TARBALL_DIR)/
	@@$(RM) -f ../tarballs/$(UPFILENAME)

## dahdi-linux 2.11.1~dfsg

=== debian/changelog ===
dahdi-linux (1:2.11.1~dfsg-1ubuntu6.3) focal; urgency=medium

  * Non-maintainer upload.
  * Backported from Hirsute 1:2.11.1~dfsg-1ubuntu8 (LP: #1932161)
    - Fix FTBFS with Linux 5.10
    - Added Linux-5.9-ioctl-fix.patch 

 -- Tim Gardner <tim.gardner@canonical.com>  Thu, 24 Jun 2021 15:47:49 +0000

dahdi-linux (1:2.11.1~dfsg-1ubuntu6.2) focal; urgency=medium

  * No change rebuild in security pocket. LP: #1914279.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 29 Apr 2021 16:07:14 +0100

dahdi-linux (1:2.11.1~dfsg-1ubuntu6.1) focal; urgency=medium

  * Linux 5.8 compatibility (LP: #1899602)
    - debian/patches/Linux-5.7-timespec-timeval-fix.patch
    - debian/patches/Linux-5.6-ktime_get_ts-fix.patch
    - debian/patches/Linux-5.6-proc_create_data-fix.patch

 -- Andrea Righi <andrea.righi@canonical.com>  Tue, 13 Oct 2020 09:15:32 +0000

dahdi-linux (1:2.11.1~dfsg-1ubuntu6) focal; urgency=medium

  * Linux 5.4 compatibility (LP: #1848584)
    - debian/patches/kernel-compat-5.4.patch

 -- Paolo Pisati <paolo.pisati@canonical.com>  Mon, 11 Nov 2019 12:43:16 +0000

dahdi-linux (1:2.11.1~dfsg-1ubuntu5) disco; urgency=medium

  * Linux 5.0 compatibility (LP: #1813058)
    - d/p/kernel-compat-5.0.patch

 -- Marcelo Henrique Cerri <marcelo.cerri@canonical.com>  Thu, 07 Feb 2019 10:15:57 -0200

dahdi-linux (1:2.11.1~dfsg-1ubuntu4) bionic; urgency=medium

  * Linux 4.15 compatibility (LP: #1737746)
    - d/p/kernel-compat-4.15_0001-xpp-move-command_timer-functions-to-xbus-core.patch
    - d/p/kernel-compat-4.15_0002-fix-building-with-4.15-init_timer-setup_timer.patch

 -- Marcelo Henrique Cerri <marcelo.cerri@canonical.com>  Wed, 03 Jan 2018 12:41:02 +0000

dahdi-linux (1:2.11.1~dfsg-1ubuntu3) artful; urgency=medium

  * Linux 4.13 compatibility (LP: #1706424)
    - debian/patches/kernel-compat-4.13.patch

 -- Seth Forshee <seth.forshee@canonical.com>  Wed, 09 Aug 2017 12:50:29 -0500

dahdi-linux (1:2.11.1~dfsg-1ubuntu2) artful; urgency=medium

  * debian/patches/kernel-compat-4.11.patch: Miscellaneous updates to fix
    build issues with 4.11 (LP: #1691828)

 -- Seth Forshee <seth.forshee@canonical.com>  Wed, 28 Jun 2017 15:55:50 -0500

dahdi-linux (1:2.11.1~dfsg-1ubuntu1) artful; urgency=low

  * Merge from Debian testing. Remaining changes:
    - DKMS support:
      - debian/control:
        - dahdi-linux depends additionally on (dahdi-dkms | dahdi-source).
        - dahdi-dkms added
      - debian/dahdi-dkms.install.in
      - debian/dahdi-dkms.postinst
      - debian/dahdi-dkms.prerm
      - debian/dkms.conf.in
      - debian/rules:
        - Add code to generate dkms package
    - d/p/oslec-echo-in-kernel.diff
      Disable build of echo.ko in favour of the same module provided by
      the kernel.
    - DEP-8 support (debian/tests/*)
    - Import modifications by Javier Uruen Val <javi@warp.es>:
      - debian/system.conf (pre-defined config shipped with dahdi-linux)
      - debian/modules-load.d/dahdi-linux.conf:
        - add dahdi_dummy
        - add dahdi_transcode
  * Dropped:
    - debian/dahdi-source.install (for lintian)
    - debian/lintian/dahdi-source
    - debian/modules (->debian/modules-load.d/dahdi-linux.conf)

 -- Stefan Bader <stefan.bader@canonical.com>  Mon, 12 Jun 2017 12:02:13 +0200

dahdi-linux (1:2.11.1~dfsg-1) unstable; urgency=medium

  [ Tzafrir Cohen ]
  * New upstream version
  * Load the module dahdi at boot (Closes: #823302)
  * README.Debian: purge old and update (Closes: #795458)
  * Set spantype for wctdm and wcfxo (Closes: #823952)
  * Use secure VCS URLs
  * Ignore debian/debhelper-build-stamp
  * Standards version 3.9.8 (no change needed)

  [ Chris Lamb ]
  * Reproducible build: sources tarball at build date (Closes: #776622)

 -- Tzafrir Cohen <tzafrir@debian.org>  Wed, 21 Sep 2016 21:55:56 +0300

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,9 @@
 ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
 	CFLAGS += -g
 endif
+
+# For DKMS. Use the full release (e.g.: 2.2.1+dfsg-1ubuntu1)
+CVERSION := $(shell dpkg-parsechangelog | grep '^Version:' | cut -d' ' -f2 | cut -d\: -f2)
 
 ## MODULE-ASSISTANT STUFF
 # prefix of the target package name
@@ -27,9 +30,6 @@
 DEB_BASE_VERSION:=$(shell echo $(DEBVERSION) | sed -e 's/^.*://' -e 's/-[0-9~.a-z]*$$//')
 UPVERSION:=$(shell echo $(DEB_BASE_VERSION) | sed -e 's/[~+]dfsg[0-9]*\(~\|$$\)/\1/' -e 's/~\(rc\|beta\)/-\1/')
 
-# For DKMS. Use the full release (e.g.: 2.2.1+dfsg-1ubuntu1)
-CVERSION := $(shell dpkg-parsechangelog | grep '^Version:' | cut -d' ' -f2 | cut -d\: -f2)
-
 UPFILENAME := $(PACKAGE_SRC)_$(UPVERSION).orig.tar.gz
 FILENAME := $(PACKAGE_SRC)_$(DEB_BASE_VERSION).orig.tar.gz
 URL := http://downloads.asterisk.org/pub/telephony/$(PACKAGE_SRC)/releases/$(PACKAGE_SRC)-$(UPVERSION).tar.gz
@@ -39,6 +39,7 @@
 # around problems with bilding stuff with HOSTCC by simply providing 
 # the generated headers as part of the source:
 GENERATED_SOURCES := include/dahdi/version.h
+BUILD_DATE=$(shell dpkg-parsechangelog --show-field Date)
 
 %:
 	dh $@
@@ -78,9 +79,9 @@
 	exit 1
 endif
 	# For DKMS
-	sed -e "s|#CVERSION#|$(CVERSION)|"	\
+	sed -e "s|#CVERSION#|$(CVERSION)|"				 \
 		debian/dkms.conf.in > debian/dkms.conf
-	sed -e "s|#CVERSION#|$(CVERSION)|"	\
+	sed -e "s|#CVERSION#|$(CVERSION)|"				 \
 		debian/dahdi-dkms.install.in > debian/dahdi-dkms.install
 
 	$(MAKE) docs
@@ -117,7 +118,7 @@
 	  $(TARDIR)/debian/
 	
 	tar cjf debian/$(SKPG)/usr/src/$(PREFIX).tar.bz2 \
-	  -C $(TARPARDIR) modules
+	  -C $(TARPARDIR) modules --mtime="$(BUILD_DATE)"
 
 print-version:
 	@@echo "Debian version:          $(DEBVERSION)"

=== debian/tests/control ===
Tests: dkms-modules
Depends: dahdi-dkms
Restrictions: needs-root, isolation-machine

## dahdi-linux 2.11.1.0.20170917~dfsg

=== debian/changelog ===
dahdi-linux (1:2.11.1.0.20170917~dfsg-7.4) unstable; urgency=medium

  * Non-maintainer upload.
  * dahdi-dkms: Bump dkms dependency to (>= 2.8.4-3~) to reliably use the
    kernel's compiler to compile the module.  (Closes: #987309)
  * dahdi-dkms: Drop wget dependency. Downloading firmware is disabled.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 25 Apr 2021 01:31:54 +0200

dahdi-linux (1:2.11.1.0.20170917~dfsg-7.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Avoid 64-bit divisions in xpp driver, or switch to the kernels
    do_div helper for this purpose. Uncovered by new autopkgtest.

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 04 Apr 2021 20:42:52 +0000

dahdi-linux (1:2.11.1.0.20170917~dfsg-7.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Add autopkgtest covering just the module build, which can be done
    on Debian CI. Should be enough to tell us if the modules are broken
    by newer kernel versions.

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 04 Apr 2021 12:57:27 +0000

dahdi-linux (1:2.11.1.0.20170917~dfsg-7.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add missing Build-Depends: module-assistant to allow building source in
    clean environments.
  * Update no_firmware_download patch. (Closes: #982389)
  * Include upstream and new local patches to fix build with kernel >= 5.0
    (Closes: #982332, #982334)

 -- Chris Hofstaedtler <zeha@debian.org>  Fri, 02 Apr 2021 20:42:26 +0000

dahdi-linux (1:2.11.1.0.20170917~dfsg-7) unstable; urgency=medium

  * dkms: use standard scripts (Closes: #923983).
  * work around #923983 at upgrade time.
  * Use dh_dkms instead of dh --with dkms, for the m-a -generated package.
  * Standard version 4.3.0.
  * More comprehensive and robust autopkgtest tests.
    - The dkms-modules test is skippable for now.
  * debian/dahdi-dkms.install is a generated file.
  * dkms metainfo: same license as source.

 -- Tzafrir Cohen <tzafrir@debian.org>  Sun, 10 Mar 2019 15:49:50 +0200

dahdi-linux (1:2.11.1.0.20170917~dfsg-6) unstable; urgency=medium

  * install dahdi-modules
  * A new test: dynamic-loc-call
  * dkms: also install oct612 module (Closes: #922008)
  * dkms test: try loading all modules
  * Rules-Require-Root: no
  * rules: remove get-orig-source
  * trivial lintian fixes
  * debhelper compat level 12
  * rules: Use dpkg makefiles instead of our own parsing
  * tests: uninstall modules

 -- Tzafrir Cohen <tzafrir@debian.org>  Mon, 04 Mar 2019 23:29:36 +0200

dahdi-linux (1:2.11.1.0.20170917~dfsg-5) unstable; urgency=medium

  * Added dpkg-dev as dependency for dpkg-architecture used by the
    dahdi-dkms postinst.
  * Added appstream metadata in dahdi-dkms package to announce
    supported hardware (Closes: #838522).
  * Updated Standards-Version from 4.1.3 to 4.2.1.
  * Fix two description typos in patches found by lintian.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 12 Oct 2018 13:35:56 +0200

dahdi-linux (1:2.11.1.0.20170917~dfsg-4) unstable; urgency=medium

  [ Bernhard Schmidt ]
  * Make build reproducible
  * Amend changelog

  [ Petter Reinholdtsen ]
  * Add support for dkms include autopkgtest test. (Closes: #841004)

  [ Tzafrir Cohen ]
  * dahdi_dummy is just part of dahdi
  * Somewhat improved dkms scripts
  * Fix building on kernel >= 4.15
  * patch notest: rework and make upstreamable
  * ignore dkms generated files

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 30 Sep 2018 13:42:35 +0200

dahdi-linux (1:2.11.1.0.20170917~dfsg-3) unstable; urgency=medium

  * Add dev_attr.patch: fix building with 4.13 (Closes: #879043)
  * Refresh dahdi_linux_extra:
    - Rebased on recent master
    - also fix opvxa1200 with 4.11
    - Tweaks of ZapHFC
  * tar --sort=name for reproducible build for the dahdi-source tarball
  * modulestest: fix usage with debuild
  * Add gbp.conf: use pristine-tar
  * copyright: https standard URL
  * Switch to Salsa.
  * Standards version 4.1.3
  * An example dynamic DAHDI systemd service

 -- Tzafrir Cohen <tzafrir@debian.org>  Wed, 10 Jan 2018 23:40:10 +0200

dahdi-linux (1:2.11.1.0.20170917~dfsg-1) unstable; urgency=medium

  [ Tzafrir Cohen ]
  * New upstream git snapshot (Closes: #872838)
    - debian/patches/wcfxo-wctdm-set-spantype.patch dropped: merged upstream
  * compat level 10

  [ Bernhard Schmidt ]
  * Reproducible build: set permissions and sort source tarball

 -- Bernhard Schmidt <berni@debian.org>  Fri, 06 Oct 2017 18:37:23 +0200

=== debian/control ===
Source: dahdi-linux
Section: comm
Priority: optional
Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
Uploaders: Tzafrir Cohen <tzafrir@debian.org>, Mark Purcell <msp@debian.org>
Build-Depends: debhelper (>= 12), bzip2, asciidoc-base | asciidoc,
 dkms,
 module-assistant,
 tar (>= 1.28)
Standards-Version: 4.3.0
Homepage: http://www.asterisk.org/
Vcs-Git: https://salsa.debian.org/pkg-voip-team/dahdi-linux.git
Vcs-Browser: https://salsa.debian.org/pkg-voip-team/dahdi-linux
Rules-Requires-Root: no

Package: dahdi-linux
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, procps, fxload, dahdi-dkms | dahdi-source
Description: DAHDI telephony interface - Linux userspace parts
 DAHDI (formerly Zaptel) is an interface for telephony devices used by e.g.
 the Asterisk PBX software. The dahdi-* packages provide the kernel
 DAHDI kernel modules and their required setup environment.
 .
 This package includes the minimal Linux-specific userspace parts: udev
 configuration, xpp initialization scripts.

Package: dahdi-source
Multi-Arch: foreign
Section: kernel
Architecture: all
Depends: ${misc:Depends}, debhelper (>> 4.0), module-assistant (>= 0.8.1), bzip2
Recommends: dahdi-linux
Description: DAHDI telephony interface - source code for kernel driver
 DAHDI (formerly Zaptel) is an interface for telephony devices used by e.g.
 the Asterisk PBX software. The dahdi-* packages provide the kernel
 DAHDI kernel modules and their required setup environment, as well as
 basic headers for building DAHDI modules and utilities.
 .
 It is normally used to build kernel modules package: m-a a-i dahdi

Package: dahdi-dkms
Section: kernel
Architecture: all
Depends: ${misc:Depends}, dkms (>= 2.8.4-3~), make, libc6-dev, dpkg-dev, gcc, gawk
Recommends: dahdi-linux
Description: DAHDI telephony interface (dkms kernel driver)
 DAHDI (formerly Zaptel) is an interface for telephony devices used by e.g.
 the Asterisk PBX software. The dahdi-* packages provide the kernel
 DAHDI kernel modules and their required setup environment.
 .
 The dkms package will automatically compile the driver for your current
 kernel version.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export HOTPLUG_FIRMWARE=1

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif

# For DKMS. Use the full release (e.g.: 2.2.1+dfsg-1ubuntu1)
include /usr/share/dpkg/pkg-info.mk
CVERSION = DEB_VERSION

## MODULE-ASSISTANT STUFF
# prefix of the target package name
PREFIX:=dahdi
SKPG:=$(PREFIX)-source
PACKAGE:=$(PREFIX)-modules
PACKAGE_SRC:=$(PREFIX)-linux
# modifieable for experiments or debugging m-a
MA_DIR ?= /usr/share/modass
# load generic variable handling
-include $(MA_DIR)/include/generic.make
# load default rules
-include $(MA_DIR)/include/common-rules.make

# If the makefile was properly-writen, there was a good separation
# between kernel and userspace. As things stand now I'd like to work
# around problems with bilding stuff with HOSTCC by simply providing
# the generated headers as part of the source:
GENERATED_SOURCES := include/dahdi/version.h
BUILD_DATE=$(shell dpkg-parsechangelog --show-field Date)

%:
	dh $@

kdist_clean: clean

kdist_config: prep-deb-files

binary-modules: prep-deb-files
	dh_testdir
	dh_testroot
	dh_prep
	#cp -a $(CURDIR)/debian/generated/* .
	make modules KERNEL_SOURCES=$(KSRC) MODVERSIONS=detect KERNEL=linux-$(KVERS)
	make install-modules KERNELRELEASE=$(KVERS) DESTDIR=$(CURDIR)/debian/$(PKGNAME)
	# The modules are way too big. This is only in kernel 2.6
	# (Removed for now: breaks cross-building)
	#find debian/$(PKGNAME)/lib/modules -name '*.ko' |xargs strip -g
	$(RM) -f debian/$(PKGNAME)/lib/modules/$(KVERS)/modules.*
	dh_installmodules
	dh_installdebconf
	dh_installdocs
	dh_installchangelogs
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol -- -v$(VERSION)
	dh_md5sums
	dh_builddeb --destdir=$(DEB_DESTDIR)

## END OF M-A SECTION

override_dh_auto_build:
ifneq ($(wildcard drivers/dahdi/xpp/firmwares/USB_FW.hex),)
	@echo "Tarball is not DFSG-compliant. Use './debian/rules get-orig-source'"
	exit 1
endif
	# For DKMS
	sed -e "s|#CVERSION#|$(CVERSION)|"				 \
		debian/dkms.conf.in > debian/dkms.conf
	sed -e "s|#CVERSION#|$(CVERSION)|"				 \
		debian/dahdi-dkms.install.in > debian/dahdi-dkms.install

	$(MAKE) docs
	$(MAKE) $(GENERATED_SOURCES)

override_dh_auto_clean:
	# Delete the generated dkms files
	rm -f debian/dahdi-dkms.install
	rm -f debian/dkms.conf
	rm -f $(GENERATED_SOURCES)
	rm -f dahdi/include/version.h
	[ ! -f Makefile ] || $(MAKE) dist-clean || true

TARPARDIR=$(CURDIR)/debian/tmp
TARDIR=$(TARPARDIR)/modules/$(PREFIX)

override_dh_auto_install:
	$(MAKE) install-include DESTDIR=$(CURDIR)/debian/$(SKPG)

override_dh_install:
	dh_install
	# driver source code
	mkdir -p $(TARDIR)/debian/generated
	cp Makefile $(TARDIR)/
	cp -p .version $(TARDIR)/
	for dir in build_tools firmware include drivers; do \
	  if [ -d $$dir ]; then cp -r $$dir $(TARDIR); fi; \
	done
	
	# Packaging infrastructure
	cp -r debian/rules debian/changelog debian/copyright\
	  debian/control debian/compat \
	  debian/control.modules.in \
	  $(TARDIR)/debian/
	
	tar cjf debian/$(SKPG)/usr/src/$(PREFIX).tar.bz2 \
	  -C $(TARPARDIR) modules \
	  --mode=go=rX,u+rw,a-s --sort=name --mtime="$(BUILD_DATE)"
	rm -rf $(TARPARDIR)/modules

	# Adding a call explicitly, as 'dh --with dkms' breaks m-i
	dh_dkms

=== debian/tests/control ===
Tests: modules-build
Depends: dahdi-linux,
         dahdi-source,
         linux-headers-686-pae | linux-headers-amd64 | linux-headers-generic | linux-headers,
         module-assistant
Restrictions: needs-root, needs-recommends

Tests: dkms-modules
Depends: dahdi-dkms, dahdi-linux, dkms
# needs-recommends: dkms recommends kernel headers.
# The alternative would be to try and install them, and ten build and
# install the dkms module in the script. But this is not a proper test
# of how dkms should work.
# And even then, the linux-headers get configured after dahdi-dkms, and
# fail the test (and hense: skippable).
Restrictions: needs-root, isolation-machine, needs-recommends, skippable

Tests: dynamic-loc-call
Depends: asterisk, asterisk-dahdi, dahdi, dahdi-source, module-assistant
Restrictions: needs-root, isolation-machine

## dahdi-linux 2.11.1.0.20210708~dfsg

=== Makefile ===
#
# Makefile for DAHDI Linux kernel modules
#
# Copyright (C) 2001-2010 Digium, Inc.
#
#

PWD:=$(shell pwd)

DAHDI_MODULES_EXTRA:=$(MODULES_EXTRA:%=%.o) $(SUBDIRS_EXTRA:%=%/)

# If you want to build for a kernel other than the current kernel, set KVERS
ifndef KVERS
KVERS:=$(shell uname -r)
endif
ifndef KSRC
  ifneq (,$(wildcard /lib/modules/$(KVERS)/build))
    KSRC:=/lib/modules/$(KVERS)/build
  else
    KSRC_SEARCH_PATH:=/usr/src/linux
    KSRC:=$(shell for dir in $(KSRC_SEARCH_PATH); do if [ -d $$dir ]; then echo $$dir; break; fi; done)
  endif
endif
KVERS_MAJ:=$(shell echo $(KVERS) | cut -d. -f1-2)
KINCLUDES:=$(KSRC)/include

# We use the kernel's .config file as an indication that the KSRC
# directory is indeed a valid and configured kernel source (or partial
# source) directory.
#
# We also source it, as it has the format of Makefile variables list.
# Thus we will have many CONFIG_* variables from there.
KCONFIG:=$(KSRC)/.config
ifneq (,$(wildcard $(KCONFIG)))
  HAS_KSRC:=yes
  include $(KCONFIG)
else
  HAS_KSRC:=no
endif

CHECKSTACK=$(KSRC)/scripts/checkstack.pl

# Set HOTPLUG_FIRMWARE=no to override automatic building with hotplug support
# if it is enabled in the kernel.

ifeq (yes,$(HAS_KSRC))
  HOTPLUG_FIRMWARE:=$(shell if grep -q '^CONFIG_FW_LOADER=[ym]' $(KCONFIG); then echo "yes"; else echo "no"; fi)
endif

MODULE_ALIASES:=wcfxs wctdm8xxp wct2xxp

INST_HEADERS:=kernel.h user.h fasthdlc.h wctdm_user.h dahdi_config.h

DAHDI_BUILD_ALL:=m

KMAKE=+$(MAKE) -C $(KSRC) SUBDIRS=$(PWD)/drivers/dahdi DAHDI_INCLUDE=$(PWD)/include DAHDI_MODULES_EXTRA="$(DAHDI_MODULES_EXTRA)" HOTPLUG_FIRMWARE=$(HOTPLUG_FIRMWARE)

ROOT_PREFIX:=

ASCIIDOC:=asciidoc
ASCIIDOC_CMD:=$(ASCIIDOC) -n -a toc -a toclevels=4

GENERATED_DOCS:=README.html

DAHDIVERSION:=$(shell build_tools/make_version . dahdi/linux)

all: modules

modules: prereq
ifeq (no,$(HAS_KSRC))
	@echo "You do not appear to have the sources for the $(KVERS) kernel installed."
	@exit 1
endif
	$(KMAKE) modules DAHDI_BUILD_ALL=$(DAHDI_BUILD_ALL)

include/dahdi/version.h: FORCE
	@DAHDIVERSION="${DAHDIVERSION}" build_tools/make_version_h > $@.tmp
	@if cmp -s $@.tmp $@ ; then :; else \
		mv $@.tmp $@ ; \
	fi
	@rm -f $@.tmp

prereq: include/dahdi/version.h firmware-loaders

stackcheck: $(CHECKSTACK) modules
	objdump -d drivers/dahdi/*.ko drivers/dahdi/*/*.ko | $(CHECKSTACK)

install: all install-modules install-include install-firmware install-xpp-firm
	@echo "###################################################"
	@echo "###"
	@echo "### DAHDI installed successfully."
	@echo "### If you have not done so before, install the package"
	@echo "### dahdi-tools."
	@echo "###"
	@echo "###################################################"

uninstall: uninstall-modules uninstall-include uninstall-firmware

install-modconf:
	build_tools/genmodconf $(BUILDVER) "$(ROOT_PREFIX)" "$(filter-out dahdi dahdi_dummy xpp dahdi_transcode dahdi_dynamic,$(BUILD_MODULES)) $(MODULE_ALIASES)"
	@if [ -d /etc/modutils ]; then \
		/sbin/update-modules ; \
	fi

install-xpp-firm:
	$(MAKE) -C drivers/dahdi/xpp/firmwares install

install-firmware:
ifeq ($(HOTPLUG_FIRMWARE),yes)
	$(MAKE) -C drivers/dahdi/firmware hotplug-install DESTDIR=$(DESTDIR) HOTPLUG_FIRMWARE=$(HOTPLUG_FIRMWARE)
endif

uninstall-firmware:
	$(MAKE) -C drivers/dahdi/firmware hotplug-uninstall DESTDIR=$(DESTDIR)

firmware-loaders:
	$(MAKE) -C drivers/dahdi/firmware firmware-loaders

install-include:
	for hdr in $(INST_HEADERS); do \
		install -D -m 644 include/dahdi/$$hdr $(DESTDIR)/usr/include/dahdi/$$hdr; \
	done
	@rm -rf $(DESTDIR)/usr/include/zaptel

uninstall-include:
	for hdr in $(INST_HEADERS); do \
		rm -f $(DESTDIR)/usr/include/dahdi/$$hdr; \
	done
	-rmdir $(DESTDIR)/usr/include/dahdi

install-modules: modules
ifndef DESTDIR
	@if modinfo zaptel > /dev/null 2>&1; then \
		echo -n "Removing Zaptel modules for kernel $(KVERS), please wait..."; \
		build_tools/uninstall-modules zaptel $(KVERS); \
		rm -rf /lib/modules/$(KVERS)/zaptel; \
		echo "done."; \
	fi
	build_tools/uninstall-modules dahdi $(KVERS)
endif
	$(KMAKE) INSTALL_MOD_PATH=$(DESTDIR) INSTALL_MOD_DIR=dahdi modules_install
	[ `id -u` = 0 ] && /sbin/depmod -a $(KVERS) || :

uninstall-modules:
ifdef DESTDIR
	@echo "Uninstalling modules is not supported with a DESTDIR specified."
	@exit 1
else
	@if modinfo dahdi > /dev/null 2>&1 ; then \
		echo -n "Removing DAHDI modules for kernel $(KVERS), please wait..."; \
		build_tools/uninstall-modules dahdi $(KVERS); \
		rm -rf /lib/modules/$(KVERS)/dahdi; \
		echo "done."; \
	fi
	[ `id -u` = 0 ] && /sbin/depmod -a $(KVERS) || :
endif

update:
	@if [ -d .svn ]; then \
		echo "Updating from Subversion..." ; \
		svn update | tee update.out; \
		rm -f .version; \
		if [ `grep -c ^C update.out` -gt 0 ]; then \
			echo ; echo "The following files have conflicts:" ; \
			grep ^C update.out | cut -b4- ; \
		fi ; \
		rm -f update.out; \
	else \
		echo "Not under version control";  \
	fi

dist:
	@./build_tools/make_dist "dahdi-linux" "$(DAHDIVERSION)"

clean:
ifneq (no,$(HAS_KSRC))
	$(KMAKE) clean
endif
	@rm -f $(GENERATED_DOCS)
	$(MAKE) -C drivers/dahdi/firmware clean
	$(MAKE) -C $(KSRC) M='$(PWD)/drivers/dahdi/oct612x' clean

distclean: dist-clean

dist-clean: clean
	@rm -f include/dahdi/version.h
	@$(MAKE) -C drivers/dahdi/firmware dist-clean
	@rm -f drivers/dahdi/vpmadt032_loader/*.o_shipped

firmware-download:
	@$(MAKE) -C drivers/dahdi/firmware all

test:
	./test-script $(DESTDIR)/lib/modules/$(KVERS) dahdi

docs: $(GENERATED_DOCS)

README.html: README
	date=`stat -c "%y" $<`
	$(ASCIIDOC_CMD)  -a revdate="$$date" -o $@ $<

dahdi-api.html: drivers/dahdi/dahdi-base.c
	build_tools/kernel-doc --kernel $(KSRC) $^ >$@

.PHONY: distclean dist-clean clean all install devices modules stackcheck install-udev update install-modules install-include uninstall-modules firmware-download install-xpp-firm firmware-loaders dist

FORCE:

=== drivers/dahdi/datamods/Makefile ===
.EXPORT_ALL_VARIABLES:
MODULES= \
	hdlc_cisco  hdlc_generic  hdlc_raw      syncppp \
	hdlc_fr     hdlc_ppp      hdlc_raw_eth  


PWD=$(shell pwd)

MODULESO:=$(MODULES:%=%.o)
MODULESKO:=$(MODULES:%=%.ko)
KMAKE = $(MAKE) -C $(KSRC) SUBDIRS=$(PWD)
KMAKE_INST = $(KMAKE) \
  INSTALL_MOD_PATH=$(INSTALL_PREFIX) INSTALL_MOD_DIR=misc modules_install

obj-m := $(MODULESO)
#obj-m:=hdlc_raw.o hdlc_cisco.o
#obj-m := hdlc_cisco.o hdlc_cisco.mod.o hdlc_fr.o hdlc_generic.o hdlc_ppp.o hdlc_raw.o hdlc_raw_eth.o hdlc_raw.mod.o hdlc_x25.o

all: 
	@echo "You don't want to do make here.  Do it from up above"

clean: 
	$(KMAKE) clean

install: $(MODULESKO)
	$(KMAKE_INST)

datamods:
	@echo "To build: $(obj-m)"
	@echo $(KSRC)
	@if [ -z "$(KSRC)" -o ! -d "$(KSRC)" ]; then echo "You do not appear to have the sources for the $(KVERS) kernel installed."; exit 1 ; fi
	$(KMAKE) modules

=== debian/changelog ===
dahdi-linux (1:2.11.1.0.20210708~dfsg-7) unstable; urgency=medium

  * update

 -- Ubuntu Developers <ubuntu-devel-discuss@listsubuntu.com>  Fri, 09 Jul 2021 09:19:56 +0800

dahdi-linux (1:2.11.1~dfsg-1ubuntu8) unstable; urgency=medium

  * Fix FTBFS with Linux 5.10

 -- Paolo Pisati <paolo.pisati@canonical.com>  Tue, 05 Jan 2021 16:38:53 +0000

dahdi-linux (1:2.11.1~dfsg-1ubuntu7) groovy; urgency=medium

  * Linux 5.6 compatibility
    - debian/patches/Linux-5.6-ktime_get_ts-fix.patch
    - debian/patches/Linux-5.6-proc_create_data-fix.patch
  * Linux 5.7 compatibility
    - debian/patches/Linux-5.7-timespec-timeval-fix.patch

 -- Paolo Pisati <paolo.pisati@canonical.com>  Tue, 12 May 2020 10:35:34 +0000

=== debian/control ===
Source: dahdi-linux
Section: comm
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@listsubuntu.com>
XSBC-Original-Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
Uploaders: Tzafrir Cohen <tzafrir@debian.org>, Mark Purcell <msp@debian.org>, Faidon Liambotis <paravoid@debian.org>
Build-Depends: debhelper (>=  9), bzip2, asciidoc
Standards-Version: 3.9.8
Homepage: http://www.asterisk.org/
Vcs-Git: https://alioth.debian.org/anonscm/git/pkg-voip/dahdi-linux.git
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-voip/dahdi-linux.git

Package: dahdi-linux
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, procps, fxload, dahdi-dkms | dahdi-source
Description: DAHDI telephony interface - Linux userspace parts
 DAHDI (formly Zaptel) is an interface for telephony devices used by e.g. 
 the Asterisk PBX software. The dahdi-* packages provide the kernel 
 DAHDI kernel modules and their required setup environment.
 .
 This package includes the minimal Linux-specific userspace parts: udev 
 configuration, xpp initialization scripts.

Package: dahdi-source
Multi-Arch: foreign
Section: kernel
Architecture: all
Depends: ${misc:Depends}, debhelper (>> 4.0), module-assistant (>= 0.8.1), bzip2
Recommends: dahdi-linux
Description: DAHDI telephony interface - source code for kernel driver
 DAHDI (formly Zaptel) is an interface for telephony devices used by e.g. 
 the Asterisk PBX software. The dahdi-* packages provide the kernel 
 DAHDI kernel modules and their required setup environment, as well as
 basic headers for building DAHDI modules and utilities.
 .
 It is normally used to build kernel modules package: m-a a-i dahdi

Package: dahdi-dkms
Section: devel
Architecture: all
Depends: ${misc:Depends}, dkms, make, libc6-dev, gcc, wget, gawk
Recommends: dahdi-linux
Description: DAHDI telephony interface (dkms kernel driver)
 DAHDI (formly Zaptel) is an interface for telephony devices used by e.g.
 the Asterisk PBX software. The dahdi-* packages provide the kernel
 DAHDI kernel modules and their required setup environment.
 .
 The dkms package will automatically compile the driver for your current
 kernel version.

## dahdi-linux 3.1.0%2Bgit20230717~dfsg

=== debian/control ===
Source: dahdi-linux
Section: comm
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
Uploaders: Tzafrir Cohen <tzafrir@debian.org>
Build-Depends: debhelper-compat (= 12), bzip2, asciidoc-base | asciidoc,
 dh-dkms,
 module-assistant,
 tar (>= 1.28)
Standards-Version: 4.3.0
Homepage: https://www.asterisk.org/
Vcs-Git: https://salsa.debian.org/pkg-voip-team/dahdi-linux.git
Vcs-Browser: https://salsa.debian.org/pkg-voip-team/dahdi-linux
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-dkms

Package: dahdi-linux
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, procps, fxload, dahdi-dkms | dahdi-source
Description: DAHDI telephony interface - Linux userspace parts
 DAHDI (formerly Zaptel) is an interface for telephony devices used by e.g.
 the Asterisk PBX software. The dahdi-* packages provide the kernel
 DAHDI kernel modules and their required setup environment.
 .
 This package includes the minimal Linux-specific userspace parts: udev
 configuration, xpp initialization scripts.

Package: dahdi-source
Multi-Arch: foreign
Section: kernel
Architecture: all
Depends: ${misc:Depends}, debhelper (>> 4.0), module-assistant (>= 0.8.1), bzip2
Recommends: dahdi-linux
Description: DAHDI telephony interface - source code for kernel driver
 DAHDI (formerly Zaptel) is an interface for telephony devices used by e.g.
 the Asterisk PBX software. The dahdi-* packages provide the kernel
 DAHDI kernel modules and their required setup environment, as well as
 basic headers for building DAHDI modules and utilities.
 .
 It is normally used to build kernel modules package: m-a a-i dahdi

Package: dahdi-dkms
Section: kernel
Architecture: all
Depends: ${misc:Depends}, dkms (>= 2.8.4-3~), make, libc6-dev, dpkg-dev, gcc, gawk
Recommends: dahdi-linux
Description: DAHDI telephony interface (dkms kernel driver)
 DAHDI (formerly Zaptel) is an interface for telephony devices used by e.g.
 the Asterisk PBX software. The dahdi-* packages provide the kernel
 DAHDI kernel modules and their required setup environment.
 .
 The dkms package will automatically compile the driver for your current
 kernel version.
